package com.elab.spring.design.group.test.group;

import com.elab.spring.design.group.GroupAdaptor;
import com.elab.spring.design.group.test.GroupConstant;
import org.springframework.stereotype.Component;

@Component
public class BGroup extends GroupAdaptor<String, String> {

    @Override
    public String groupName() {
        return GroupConstant.TEST;
    }

    @Override
    public String unionKey() {
        return "B";
    }

    @Override
    public String invoke(String req) {
        System.out.println(this.getClass().getSimpleName() + "执行完了 : " + req);
        return "YES";
    }
}
